BadRequestException (Apache Tomcat 9.0.117 API Documentation)
Description: declaration: package: org.apache.coyote, class: BadRequestException

# Class BadRequestException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.coyote.BadRequestException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ClientAbortException`

public class BadRequestException extends IOException
Extend IOException to identify it as being caused by a bad request from a remote client.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BadRequestException()`
  Construct a new BadRequestException with no other information.
  `BadRequestException(String message)`
  Construct a new BadRequestException for the specified message.
  `BadRequestException(String message, Throwable throwable)`
  Construct a new BadRequestException for the specified message and throwable.
  `BadRequestException(Throwable throwable)`
  Construct a new BadRequestException for the specified throwable.

- ## Method Summary

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BadRequestException

    public BadRequestException()
    Construct a new BadRequestException with no other information.

  - ### BadRequestException

    public BadRequestException(String message)
    Construct a new BadRequestException for the specified message.
    Parameters:
      `message` - Message describing this exception

  - ### BadRequestException

    public BadRequestException(Throwable throwable)
    Construct a new BadRequestException for the specified throwable.
    Parameters:
      `throwable` - Throwable that caused this exception

  - ### BadRequestException

    public BadRequestException(String message, Throwable throwable)
    Construct a new BadRequestException for the specified message and throwable.
    Parameters:
      `message` - Message describing this exception
      `throwable` - Throwable that caused this exception